Skip to content

Get regulated check

Request

Get a single regulated check with a given id.

Security
get-bearer-token-using-oauth2
Path
check_idstring, (uuid)required

The uuid identifying the check

Example:2b8313e8-4efd-45a1-b578-952b8313e890
Query
include[]Array of strings

Request optional response fields. Repeat the parameter for multiple values.

Items Enum ValueDescription
profile

Embeds the full profile object in place of profile_id.

rulesets_applied

Embeds the rulesets applied when filtering this check's results.

review

Embeds the regulated check review object (accept/decline/dispute status).

Examples:
Single value
include[]=["profile"]
Multiple values
include[]=["profile","review"]
GET
/regulated/checks/{check_id}
curl -i -X GET \
  'https://api.checkrtrust.com/v1/regulated/checks/2b8313e8-4efd-45a1-b578-952b8313e890?include%5B%5D=profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
One of:

A regulated check response with legal annotation checks included in results.

idstring, (uuid)(uuid)

A universally unique identifier (UUID) in standard format.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
created_atstring, (date-time)(datetime)

An ISO 8601 formatted date-time string.

Example:"2020-01-01T00:00:00Z"
completed_atstring, (date-time)(datetime)

An ISO 8601 formatted date-time string.

Example:"2020-01-01T00:00:00Z"
resultsArray of objects(regulated_record)

When there are no results found, this will be an empty array.

check_typestring(regulated_check_type)

The type of regulated check. Currently only instant_criminal_regulated is supported.

Default:"instant_criminal_regulated"
Value:"instant_criminal_regulated"
reference_idstring(reference_id)^[a-zA-Z0-9_-]{1,64}$

A reference identifier for linking related records. Limited to 64 alphanumeric characters, underscores, and hyphens.

Example:"ref-123"
run_notesArray of strings

An unstructured array of human-readable notes about this particular check. May contain notes about how input was parsed or other information about results.

results_foundboolean

Present only when include[]=results_found is requested; omitted otherwise. When present, the results array is omitted.

rulesets_appliedArray of objects(ruleset_applied)

Present only when include[]=rulesets_applied is requested; omitted otherwise.

reviewcheck_review (object) or null
One of:

Customer accept/decline/dispute state for a regulated check.

adverse_action_enabledboolean

Present only when include[]=review is requested; omitted otherwise. Indicates whether adverse-action workflow is enabled for this product.

profile_idstring, (uuid)(profile_id)

Identifier of an existing profile containing search criteria.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
Response
{ "profile_id": "2b8313e8-4efd-45a1-b578-952b8313e890" }